Create Generate Descriptions

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/generate_descriptions
API call form
Examples

Let Luzmo AI generate descriptions for your datasets, their columns and formulas.

Request parametersResponse schema
id STRING

The dataset id

description Multilingual string

Internationalized description of the dataset.

columns ARRAY[OBJECT]

The ids and column descriptions generated for the dataset.

id STRING
description Multilingual string
formulas ARRAY[OBJECT]

The ids and formula descriptions generated for the dataset.

id STRING
description Multilingual string
Can be executed by:
Dataset editor
Can be associated to:
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "properties": {
    "datasets": [
      {
        "id": "<your dataset id>",
        "description": {
          "en": "English description"
        },
        "columns": [
          {
            "id": "<your column id>",
            "description": {
              "en": "English description"
            }
          },
          {
            "id": "<another column id>",
            "description": {
              "en": "English description"
            }
          }
        ],
        "formulas": [
          {
            "id": "<your formula id>",
            "description": {
              "en": "English description"
            }
          },
          {
            "id": "<another formula id>",
            "description": {
              "en": "English description"
            }
          }
        ]
      }
    ]
  }
}